#!/usr/bin/env python
# --*-- coding:UTF_8 --*--
import sys, email
#print u"proporcione el número de mensajes para analizar\n"

msg=email.message_from_file(sys.stdin)
print " *** Cabeceras del mensaje: "
for header, value in msg.items():
	print header + ":"
	print " " + value
if msg.is_multipart():
	print "este programa no soporta los correos multiparte"
	sys.exit(1)
print "-" * 78
if 'subject' in msg:
	print "Asunto: ",msg['subject']
	print "-" * 78
print "cuerpo del mensaje:"
print
print msg.get_payload()
